Class
ConcatenatorManyToOne
A sequence class that virtually concatenates all sequences in a StringSet.
ConcatenatorManyToOne<TStringSet>
Include Headers
seqan/sequence.h
Parameters

TStringSet | The StringSet type. Types: StringSet

Remarks
This container can be iterated like the concatenation string of all sequences in a StringSet.
This container only is a lightweight hull around a StringSet. The iteration is handled by ConcatVirtual Iterator.
Note that accessing an element by index through operator[] conducts a binary search and should be avoided. Use the ConcatDirect specialization of StringSet for random access or only use sequential access through iterators.
Member Functions

ConcatenatorManyToOne | Constructor

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:45